Title "Principal components analysis of population correlation matrix";
Data SE (type=CORR);
input _TYPE_ $ _NAME_ $ x1-x3;
cards;
corr x1  1.000   .      .   
corr x2  0.455  1.000   .   
corr x3  0.468  0.504  1.000
;
run;


proc factor data=SE method=p nfactors=3;
run;


PROC IML;
F = {0.79017  0.60799  0.07738,
     0.81110 -0.36403  0.45781,
     0.81816 -0.22629 -0.52859};
X = RANNOR(J(2000,3,0));
X = X`;
Z = F*X;
Z = Z`;
X1 =Z[,1];
X2 =Z[,2]* 5 + 1;
X3 =Z[,3]* 5 + 1;
Z = X1||X2||X3;
CREATE EST FROM Z[COLNAME={X1 X2 X3}];
APPEND FROM Z;


proc means data=EST n mean std skewness kurtosis;
  var x1 x2 x3;
proc corr data=EST; 
  var x1 x2 x3;
run;

