PROC IML;
OPTIONS NOCENTER;
*SAMPLE COVARIANCE MATRIX;
S =    {4.0 2.4 2.8,
        2.4 4.0 2.0,
        2.8 2.0 4.0};
*PREDICTED COVARIANCE MATRIX;
SIGM = {4.0 2.4 1.2,
        2.4 4.0 2.0,
        1.2 2.0 4.0};
RES = S - SIGM;         *RESIDUAL COVARIANCE MATRIX;
SDET = DET(S);          *DETERMINANT OF THE SAMPLE COVARIANCE MATRIX;
SIGMDET = DET(SIGM);    *DETERMINANT OF THE PREDICTED COVARIANCE MATRIX;
LOGS = LOG(SDET);       *NATURAL LOG OF SAMPLE MATRIX DETERMINANT;
LOGSIGM = LOG(SIGMDET); *NATURAL LOG OF PREDICTED MATRIX DETERMINANT;
SIGMINV = INV(SIGM);    *INVERSE OF PREDICTED MATRIX;
SDIV = S*SIGMINV;       *MULTIPLICATION OF SAMPLE MATRIX AND PREDICTED INVERSE;
STRACE = TRACE(SDIV);   *TRACE OF THE RESULTING SDIV MATRIX;
SORDER = NROW(S);       *ORDER OF SAMPLE MATRIX = NUMBER OF INDICATORS;
*CALCULATION OF FML;
FML = ABS((LOGS - LOGSIGM) + STRACE - SORDER); 
PRINT S;
PRINT SIGM;
PRINT RES;
PRINT SDET;
PRINT SIGMDET;
PRINT LOGS LOGSIGM;
PRINT SDIV;
PRINT STRACE;
PRINT SORDER;
PRINT FML;
