Title "CFA of Two-Factor Model of Neuroticism and Extraversion";
Data NEO (type=CORR);
 input _TYPE_ $ _NAME_ $ V1-V8;
 label V1 = 'anxiety'
       V2 = 'hostil'
       V3 = 'depress'
       V4 = 'selfcons'
       V5 = 'warmth'
       V6 = 'gregar'
       V7 = 'assert'
       V8 = 'posemots';
cards;
mean  .    0      0      0      0      0      0      0      0
 std  .  5.7    5.6    6.4    5.7    6.0    6.2    5.7    5.6
   N  .  250    250    250    250    250    250    250    250
corr V1  1.000   .      .      .      .      .      .      .
corr V2  0.767  1.000   .      .      .      .      .      .
corr V3  0.731  0.709  1.000   .      .      .      .      .
corr V4  0.778  0.738  0.762  1.000   .      .      .      .
corr V5 -0.351 -0.302 -0.356 -0.318  1.000   .      .      .
corr V6 -0.316 -0.280 -0.300 -0.267  0.675  1.000   .      .
corr V7 -0.296 -0.289 -0.297 -0.296  0.634  0.651  1.000   .
corr V8 -0.282 -0.254 -0.292 -0.245  0.534  0.593  0.566  1.000
;
run;

proc calis data=NEO cov method=ml pall pcoves;
var = V1-V8;
lineqs
 V1 = 1.0  f1 + e1,
 V2 = lam2 f1 + e2,
 V3 = lam3 f1 + e3,
 V4 = lam4 f1 + e4,
 V5 = 1.0  f2 + e5,
 V6 = lam6 f2 + e6,
 V7 = lam7 f2 + e7,
 V8 = lam8 f2 + e8;
std
  f1-f2 = ph1-ph2,
  e1-e8 = td1-td8;
cov
  f1-f2 = ph3;
run;

