Title "CALIS SYNTAX FOR CORRELATED UNIQUENESS MTMM SPECIFICATION";
Data CLUSTA (type=CORR);
 input _TYPE_ $ _NAME_ $ V1-V9;
 label V1 = 'pari'
       V2 = 'szti'
       V3 = 'szdi'
       V4 = 'parc'
       V5 = 'sztc'
       V6 = 'szdc'
       V7 = 'paro'
       V8 = 'szto'
       V9 = 'szdo';
cards;
mean  .      0      0      0      0      0      0      0      0      0
 std  .   3.61   3.66   3.59   2.94   3.03   2.85   2.22   2.42   2.04
   N  .    500    500    500    500    500    500    500    500    500
corr V1  1.000   .      .      .      .      .      .      .      .
corr V2  0.290  1.000   .      .      .      .      .      .      .
corr V3  0.372  0.478  1.000   .      .      .      .      .      .
corr V4  0.587  0.238  0.209  1.000   .      .      .      .      .
corr V5  0.201  0.586  0.126  0.213  1.000   .      .      .      .
corr V6  0.218  0.281  0.681  0.195  0.096  1.000   .      .      .
corr V7  0.557  0.228  0.195  0.664  0.242  0.232  1.000   .      .
corr V8  0.196  0.644  0.146  0.261  0.641  0.248  0.383  1.000   .
corr V9  0.219  0.241  0.676  0.290  0.168  0.749  0.361  0.342  1.000
;
run;

proc calis data= CLUSTA cov method=ml pall pcoves;
var = V1-V9;
lineqs
 V1 = lam1 f1 + e1,
 V2 = lam2 f2 + e2,
 V3 = lam3 f3 + e3,
 V4 = lam4 f1 + e4,
 V5 = lam5 f2 + e5,
 V6 = lam6 f3 + e6,
 V7 = lam7 f1 + e7,
 V8 = lam8 f2 + e8,
 V9 = lam9 f3 + e9;
std
  f1-f3 = 1.0,
  e1-e9 = td1-td9;
cov
  f1-f3 = ph1-ph3,
  e1-e3 = td10-td12,
  e4-e6 = td13-td15,
  e7-e9 = td16-td18;
run;
