Title "CALIS SYNTAX FOR TAU EQUIVALENT AUDITORY INDICATORS";
Data WMS (type=CORR);
 input _TYPE_ $ _NAME_ $ V1-V6;
 label V1 = 'logical'
       V2 = 'verbal'
       V3 = 'word'
       V4 = 'faces'
       V5 = 'family'
       V6 = 'visrep';
cards;
mean  .    0      0      0      0      0      0    
 std  .  2.61   2.66   2.59   1.94   2.03   2.05
   N  .  200    200    200    200    200    200    
corr V1  1.000   .      .      .      .      .     
corr V2  0.661  1.000   .      .      .      .     
corr V3  0.630  0.643  1.000   .      .      .     
corr V4  0.270  0.300  0.268  1.000   .      .     
corr V5  0.297  0.265  0.225  0.805  1.000   .     
corr V6  0.290  0.287  0.248  0.796  0.779  1.000  
;
run;

proc calis data=WMS cov method=ml pall pcoves;
var = V1-V6;
lineqs
 V1 = lam1 f1 + e1,
 V2 = lam1 f1 + e2,
 V3 = lam1 f1 + e3,
 V4 = lam4 f2 + e4,
 V5 = lam5 f2 + e5,
 V6 = lam6 f2 + e6;
std
  f1-f2 = 1.0,
  e1-e6 = td1-td6;
cov
  f1-f2 = ph3;
run;
