Title "Higher-Order CFA Model of Coping";
Data COPE (type=CORR);
 input _TYPE_ $ _NAME_ $ V1-V12;
 label V1 = 'item1'
       V2 = 'item2'
       V3 = 'item3'
       V4 = 'item4'
       V5 = 'item5'
       V6 = 'item6'
       V7 = 'item7'
       V8 = 'item8'
       V9 = 'item9'
      V10 = 'item10'
      V11 = 'item11'
      V12 = 'item12';
cards;
mean  .     0     0     0     0     0     0     0     0     0     0     0     0
 std  .  1.40  2.10  1.30  2.30  2.40  1.90  2.00  2.90  2.30  3.10  2.20  1.20
   N  .   275   275   275   275   275   275   275   275   275   275   275   275
corr V1  1.00   .     .     .     .     .     .     .     .     .     .     .
corr V2  0.78  1.00   .     .     .     .     .     .     .     .     .     .
corr V3  0.80  0.77  1.00   .     .     .     .     .     .     .     .     .
corr V4  0.56  0.51  0.48  1.00   .     .     .     .     .     .     .     .
corr V5  0.52  0.51  0.46  0.78  1.00   .     .     .     .     .     .     .
corr V6  0.59  0.51  0.51  0.80  0.79  1.00   .     .     .     .     .     .
corr V7  0.16  0.15  0.17  0.14  0.18  0.16  1.00   .     .     .     .     .
corr V8  0.19  0.13  0.18  0.14  0.16  0.16  0.81  1.00   .     .     .     .
corr V9  0.12  0.17  0.17  0.17  0.20  0.16  0.75  0.80  1.00   .     .     .
corr V10 0.16  0.13  0.17  0.15  0.16  0.18  0.56  0.52  0.50  1.00   .     .
corr V11 0.16  0.14  0.18  0.15  0.16  0.18  0.51  0.58  0.51  0.81  1.00   .
corr V12 0.16  0.15  0.14  0.16  0.16  0.14  0.52  0.57  0.52  0.80  0.79  1.00
;
run;

proc calis data=COPE cov method=ml pall pcoves;
var = V1-V12;
lineqs
 V1  = 1.0  f1 + e1,
 V2  = lam2 f1 + e2,
 V3  = lam3 f1 + e3,
 V4  = 1.0  f2 + e4,
 V5  = lam5 f2 + e5,
 V6  = lam6 f2 + e6,
 V7  = 1.0  f3 + e7,
 V8  = lam8 f3 + e8,
 V9  = lam9 f3 + e9,
 V10 = 1.0  f4 + e10,
 V11 = lam11 f4 + e11,
 V12 = lam12 f4 + e12,
 f1  = ga1 f5 + D1,
 f2  = ga2 f5 + D2,
 f3  = ga3 f6 + D3,
 f4  = ga4 f6 + D4;
std
  f5 = 1.0,
  f6 = 1.0,
  d1-d4 = ps1-ps4,
  e1-e12 = te1-te12;
cov
  f5-f6 = ph1;
run;
